> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a global Tag Field

> Create a new global tag field that is available for all businesses.

**Scopes:** `tag:create`



## OpenAPI

````yaml /api-reference/openapi.json post /v0/tenant/tag-fields
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/tenant/tag-fields:
    post:
      tags:
        - Tenant
      summary: Create a global Tag Field
      description: |-
        Create a new global tag field that is available for all businesses.

        **Scopes:** `tag:create`
      operationId: create_tag_field_v0_tenant_tag_fields_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTagFieldRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TagFieldSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - tag:create
components:
  schemas:
    CreateTagFieldRequest:
      properties:
        name:
          type: string
          maxLength: 255
          title: Name
          description: The name of the tag field
          examples:
            - Job
      type: object
      required:
        - name
      title: CreateTagFieldRequest
    TagFieldSuccess:
      properties:
        data:
          $ref: '#/components/schemas/TagFieldPublic'
      type: object
      required:
        - data
      title: TagFieldSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    TagFieldPublic:
      properties:
        id:
          type: string
          format: tf_string
          title: Id
          description: The ID of the tag field
          examples:
            - tf_KtY7p9fsM4pB58SYNar7cu
        name:
          type: string
          title: Name
          description: The name of the tag field
          examples:
            - Job
      type: object
      required:
        - id
        - name
      title: TagFieldPublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````